======================
 Upgrading Horde_Smtp
======================

:Contact: dev@lists.horde.org

.. contents:: Contents
.. section-numbering::


This lists the API changes between releases of the package.


Upgrading to 1.9.0
==================

  - Horde_Smtp

    - Constructor

      Added the 'context' parameter.


Upgrading to 1.8.0
==================

  - Horde_Smtp

    - send()

      Failed recipients now cause a Horde_Smtp_Exception_Recipients exception
      to be thrown, which contains the list of recipients that failed.

  - Horde_Smtp_Exception_Recipients

    This exception class has been added.


Upgrading to 1.7.0
==================

  - Horde_Smtp

    Added the $data_binary property.

    - Constructor

      Added the 'chunk_size' parameter.

    - send()

      Deprecated the '8bit' option. The correct encoding mode to use is now
      automatically determined.

  - Horde_Smtp_Exception

    Added the $category property.
    Added the CATEGORY_* constants to provide more general error categories if
    an error code is not handled specifically.

  - Horde_Smtp_Filter_Body

    This class was added.


Upgrading to 1.6.0
==================

  - Horde_Smtp

    Added the $data_intl property.

    - send()

      Added the 'intl' option.


Upgrading to 1.5.0
==================

  - Horde_Smtp

    - send()

      Now returns an array of information on successful send to at least one
      receipient.

  - Horde_Smtp_Exception

    Added the LOGIN_MISSINGEXTENSION error code.

  - Horde_Smtp_Lmtp

    Added the LMTP driver (RFC 2033).


Upgrading to 1.4.0
==================

  - Horde_Smtp_Exception

    Added the $raw_msg parameter.


Upgrading to 1.3.0
==================

  - Horde_Smtp

    - Constructor

      Added 'tlsv1' option for the 'secure' configuration parameter.

  - Horde_Smtp_Password_Xoauth2

    Added class to abstract production of the necessary token for XOAUTH2 SASL
    authentication.


Upgrading to 1.2.0
==================

  - Horde_Smtp

    - Constructor

      Added the true option to the 'secure' parameter (and has become the
      default option).


Upgrading to 1.1.0
==================

  - Horde_Smtp

    - Constructor

      Added the 'xoauth2_token' parameter.
      Added the ability to pass in a Horde_Smtp_Password object to the
      'password' parameter.
      The 'password_encrypt' parameter has been deprecated.
